We no longer need jhdf5. deleting all dependencies. Closes bug #11556 and remove...
[scilab.git] / scilab / modules / double / Makefile.in
1 # Makefile.in generated by automake 1.11.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 am__make_dryrun = \
42   { \
43     am__dry=no; \
44     case $$MAKEFLAGS in \
45       *\\[\ \   ]*) \
46         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
47           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
48       *) \
49         for am__flg in $$MAKEFLAGS; do \
50           case $$am__flg in \
51             *=*|--*) ;; \
52             *n*) am__dry=yes; break;; \
53           esac; \
54         done;; \
55     esac; \
56     test $$am__dry = yes; \
57   }
58 pkgdatadir = $(datadir)/@PACKAGE@
59 pkgincludedir = $(includedir)/@PACKAGE@
60 pkglibdir = $(libdir)/@PACKAGE@
61 pkglibexecdir = $(libexecdir)/@PACKAGE@
62 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
63 install_sh_DATA = $(install_sh) -c -m 644
64 install_sh_PROGRAM = $(install_sh) -c
65 install_sh_SCRIPT = $(install_sh) -c
66 INSTALL_HEADER = $(INSTALL_DATA)
67 transform = $(program_transform_name)
68 NORMAL_INSTALL = :
69 PRE_INSTALL = :
70 POST_INSTALL = :
71 NORMAL_UNINSTALL = :
72 PRE_UNINSTALL = :
73 POST_UNINSTALL = :
74 build_triplet = @build@
75 host_triplet = @host@
76 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
77         $(top_srcdir)/Makefile.incl.am
78 @NEED_JAVA_TRUE@am__append_1 = java
79 subdir = modules/double
80 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
81 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
82         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
83         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
84         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
85         $(top_srcdir)/m4/intel_compiler.m4 \
86         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
87         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
88         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
89         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
90         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
91         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
92         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
93         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
94         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
95         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
96         $(top_srcdir)/configure.ac
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98         $(ACLOCAL_M4)
99 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
100 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
101 CONFIG_CLEAN_FILES =
102 CONFIG_CLEAN_VPATH_FILES =
103 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104 am__vpath_adj = case $$p in \
105     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106     *) f=$$p;; \
107   esac;
108 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109 am__install_max = 40
110 am__nobase_strip_setup = \
111   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112 am__nobase_strip = \
113   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114 am__nobase_list = $(am__nobase_strip_setup); \
115   for p in $$list; do echo "$$p $$p"; done | \
116   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118     if (++n[$$2] == $(am__install_max)) \
119       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120     END { for (dir in files) print dir, files[dir] }'
121 am__base_list = \
122   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124 am__uninstall_files_from_dir = { \
125   test -z "$$files" \
126     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
127     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
128          $(am__cd) "$$dir" && rm -f $$files; }; \
129   }
130 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
131         "$(DESTDIR)$(libscidouble_la_etcdir)" \
132         "$(DESTDIR)$(libscidouble_la_rootdir)"
133 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
134 libscidouble_la_LIBADD =
135 am__objects_1 = libscidouble_la-gw_double.lo
136 am__objects_2 = vecldiv.lo vecmul.lo matxpow.lo vecimpl.lo matldiv.lo \
137         matsubst.lo vecrdiv.lo matchsgn.lo matrdiv.lo matrc.lo \
138         matpow.lo matins1.lo matins2.lo matcmp.lo matmult.lo \
139         matext1.lo matext2.lo mattr.lo matcc.lo mattrc.lo matadd.lo
140 am_libscidouble_la_OBJECTS = $(am__objects_1) $(am__objects_2)
141 libscidouble_la_OBJECTS = $(am_libscidouble_la_OBJECTS)
142 @MAINTAINER_MODE_FALSE@am_libscidouble_la_rpath =
143 @MAINTAINER_MODE_TRUE@am_libscidouble_la_rpath = -rpath $(pkglibdir)
144 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
145 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
146 am__depfiles_maybe = depfiles
147 am__mv = mv -f
148 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
149         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
150 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
152         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
153 CCLD = $(CC)
154 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
155         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
156         $(LDFLAGS) -o $@
157 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
158 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
160 F77LD = $(F77)
161 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
162         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
163         $(LDFLAGS) -o $@
164 SOURCES = $(libscidouble_la_SOURCES)
165 DIST_SOURCES = $(libscidouble_la_SOURCES)
166 am__can_run_installinfo = \
167   case $$AM_UPDATE_INFO_DIR in \
168     n|no|NO) false;; \
169     *) (install-info --version) >/dev/null 2>&1;; \
170   esac
171 DATA = $(libscidouble_la_etc_DATA) $(libscidouble_la_root_DATA)
172 ETAGS = etags
173 CTAGS = ctags
174 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
175 ACLOCAL = @ACLOCAL@
176 ALL_LINGUAS = @ALL_LINGUAS@
177 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
178 AMTAR = @AMTAR@
179 ANT = @ANT@
180 ANTLR = @ANTLR@
181 AR = @AR@
182 ARPACK_LIBS = @ARPACK_LIBS@
183 ASM3 = @ASM3@
184 AUTOCONF = @AUTOCONF@
185 AUTOHEADER = @AUTOHEADER@
186 AUTOMAKE = @AUTOMAKE@
187 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
188 AWK = @AWK@
189 BATIK = @BATIK@
190 BLAS_LIBS = @BLAS_LIBS@
191 CC = @CC@
192 CCACHE = @CCACHE@
193 CCDEPMODE = @CCDEPMODE@
194 CFLAGS = @CFLAGS@
195 CHECKSTYLE = @CHECKSTYLE@
196 COBERTURA = @COBERTURA@
197 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
198 COMMONS_IO = @COMMONS_IO@
199 COMMONS_LOGGING = @COMMONS_LOGGING@
200 CPP = @CPP@
201 CPPFLAGS = @CPPFLAGS@
202 CXX = @CXX@
203 CXXCPP = @CXXCPP@
204 CXXDEPMODE = @CXXDEPMODE@
205 CXXFLAGS = @CXXFLAGS@
206 CYGPATH_W = @CYGPATH_W@
207 DEFS = @DEFS@
208 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
209 DEPDIR = @DEPDIR@
210 DOCBOOK_ROOT = @DOCBOOK_ROOT@
211 DSYMUTIL = @DSYMUTIL@
212 DUMPBIN = @DUMPBIN@
213 ECHO_C = @ECHO_C@
214 ECHO_N = @ECHO_N@
215 ECHO_T = @ECHO_T@
216 EGREP = @EGREP@
217 EXEEXT = @EXEEXT@
218 F77 = @F77@
219 FFLAGS = @FFLAGS@
220 FFTW3_LIB = @FFTW3_LIB@
221 FFTW_ENABLE = @FFTW_ENABLE@
222 FGREP = @FGREP@
223 FLEXDOCK = @FLEXDOCK@
224 FLIBS = @FLIBS@
225 FOP = @FOP@
226 GENHTML = @GENHTML@
227 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
228 GIWS_BIN = @GIWS_BIN@
229 GLUEGEN2_RT = @GLUEGEN2_RT@
230 GMSGFMT = @GMSGFMT@
231 GMSGFMT_015 = @GMSGFMT_015@
232 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
233 GREP = @GREP@
234 GUI_ENABLE = @GUI_ENABLE@
235 HDF5_CFLAGS = @HDF5_CFLAGS@
236 HDF5_LIBS = @HDF5_LIBS@
237 HELP_ENABLE = @HELP_ENABLE@
238 INSTALL = @INSTALL@
239 INSTALL_DATA = @INSTALL_DATA@
240 INSTALL_PROGRAM = @INSTALL_PROGRAM@
241 INSTALL_SCRIPT = @INSTALL_SCRIPT@
242 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
243 INTLLIBS = @INTLLIBS@
244 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
245 JAR = @JAR@
246 JAVA = @JAVA@
247 JAVAC = @JAVAC@
248 JAVAC_DEBUG = @JAVAC_DEBUG@
249 JAVADOC = @JAVADOC@
250 JAVAH = @JAVAH@
251 JAVASCI_ENABLE = @JAVASCI_ENABLE@
252 JAVA_ENABLE = @JAVA_ENABLE@
253 JAVA_G = @JAVA_G@
254 JAVA_HOME = @JAVA_HOME@
255 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
256 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
257 JDB = @JDB@
258 JEUCLID_CORE = @JEUCLID_CORE@
259 JGRAPHX = @JGRAPHX@
260 JHALL = @JHALL@
261 JLATEXMATH = @JLATEXMATH@
262 JLATEXMATH_FOP = @JLATEXMATH_FOP@
263 JOGL2 = @JOGL2@
264 JROSETTA_API = @JROSETTA_API@
265 JROSETTA_ENGINE = @JROSETTA_ENGINE@
266 JUNIT4 = @JUNIT4@
267 LAPACK_LIBS = @LAPACK_LIBS@
268 LCOV = @LCOV@
269 LD = @LD@
270 LDFLAGS = @LDFLAGS@
271 LIBICONV = @LIBICONV@
272 LIBINTL = @LIBINTL@
273 LIBM = @LIBM@
274 LIBOBJS = @LIBOBJS@
275 LIBS = @LIBS@
276 LIBTOOL = @LIBTOOL@
277 LIPO = @LIPO@
278 LN_S = @LN_S@
279 LOGGING_LEVEL = @LOGGING_LEVEL@
280 LOOKS = @LOOKS@
281 LTLIBICONV = @LTLIBICONV@
282 LTLIBINTL = @LTLIBINTL@
283 LTLIBOBJS = @LTLIBOBJS@
284 MAINT = @MAINT@
285 MAKEINFO = @MAKEINFO@
286 MATIO_CFLAGS = @MATIO_CFLAGS@
287 MATIO_ENABLE = @MATIO_ENABLE@
288 MATIO_LIBS = @MATIO_LIBS@
289 MKDIR_P = @MKDIR_P@
290 MSGCAT = @MSGCAT@
291 MSGFMT = @MSGFMT@
292 MSGFMT_015 = @MSGFMT_015@
293 MSGMERGE = @MSGMERGE@
294 NM = @NM@
295 NMEDIT = @NMEDIT@
296 OBJDUMP = @OBJDUMP@
297 OBJEXT = @OBJEXT@
298 OCAMLC = @OCAMLC@
299 OCAMLDEP = @OCAMLDEP@
300 OCAMLLEX = @OCAMLLEX@
301 OCAMLOPT = @OCAMLOPT@
302 OCAMLYACC = @OCAMLYACC@
303 OPENMP_CFLAGS = @OPENMP_CFLAGS@
304 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
305 OPENMP_ENABLE = @OPENMP_ENABLE@
306 OPENMP_LIBS = @OPENMP_LIBS@
307 OTOOL = @OTOOL@
308 OTOOL64 = @OTOOL64@
309 PACKAGE = @PACKAGE@
310 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
311 PACKAGE_NAME = @PACKAGE_NAME@
312 PACKAGE_STRING = @PACKAGE_STRING@
313 PACKAGE_TARNAME = @PACKAGE_TARNAME@
314 PACKAGE_URL = @PACKAGE_URL@
315 PACKAGE_VERSION = @PACKAGE_VERSION@
316 PATH_SEPARATOR = @PATH_SEPARATOR@
317 PCRE_CFLAGS = @PCRE_CFLAGS@
318 PCRE_CONFIG = @PCRE_CONFIG@
319 PCRE_LIBS = @PCRE_LIBS@
320 PCRE_VERSION = @PCRE_VERSION@
321 PKG_CONFIG = @PKG_CONFIG@
322 POSUB = @POSUB@
323 POW_LIB = @POW_LIB@
324 PYTHON = @PYTHON@
325 RANLIB = @RANLIB@
326 RELOCATABLE = @RELOCATABLE@
327 RT_LIB = @RT_LIB@
328 SAXON = @SAXON@
329 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
330 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
331 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
332 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
333 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
334 SCIRENDERER = @SCIRENDERER@
335 SCI_CFLAGS = @SCI_CFLAGS@
336 SCI_CXXFLAGS = @SCI_CXXFLAGS@
337 SCI_FFLAGS = @SCI_FFLAGS@
338 SCI_LDFLAGS = @SCI_LDFLAGS@
339 SED = @SED@
340 SET_MAKE = @SET_MAKE@
341 SET_RELOCATABLE = @SET_RELOCATABLE@
342 SHELL = @SHELL@
343 SKINLF = @SKINLF@
344 SPLINT = @SPLINT@
345 STRIP = @STRIP@
346 SWIG_BIN = @SWIG_BIN@
347 SWIG_JAVA = @SWIG_JAVA@
348 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
349 TCLTK_LIBS = @TCLTK_LIBS@
350 TCL_INC_PATH = @TCL_INC_PATH@
351 TK_INC_PATH = @TK_INC_PATH@
352 UMFPACK_ENABLE = @UMFPACK_ENABLE@
353 UMFPACK_LIB = @UMFPACK_LIB@
354 USE_NLS = @USE_NLS@
355 VERSION = @VERSION@
356 WITH_OCAML = @WITH_OCAML@
357 WITH_TKSCI = @WITH_TKSCI@
358 XCOS_ENABLE = @XCOS_ENABLE@
359 XGETTEXT = @XGETTEXT@
360 XGETTEXT_015 = @XGETTEXT_015@
361 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
362 XMKMF = @XMKMF@
363 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
364 XML_APIS_EXT = @XML_APIS_EXT@
365 XML_CONFIG = @XML_CONFIG@
366 XML_FLAGS = @XML_FLAGS@
367 XML_LIBS = @XML_LIBS@
368 XML_VERSION = @XML_VERSION@
369 X_CFLAGS = @X_CFLAGS@
370 X_EXTRA_LIBS = @X_EXTRA_LIBS@
371 X_LIBS = @X_LIBS@
372 X_PRE_LIBS = @X_PRE_LIBS@
373 abs_builddir = @abs_builddir@
374 abs_srcdir = @abs_srcdir@
375 abs_top_builddir = @abs_top_builddir@
376 abs_top_srcdir = @abs_top_srcdir@
377 ac_ct_CC = @ac_ct_CC@
378 ac_ct_CXX = @ac_ct_CXX@
379 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
380 ac_ct_F77 = @ac_ct_F77@
381 am__include = @am__include@
382 am__leading_dot = @am__leading_dot@
383 am__quote = @am__quote@
384 am__tar = @am__tar@
385 am__untar = @am__untar@
386 bindir = @bindir@
387 build = @build@
388 build_alias = @build_alias@
389 build_cpu = @build_cpu@
390 build_os = @build_os@
391 build_vendor = @build_vendor@
392 builddir = @builddir@
393 cxx_present = @cxx_present@
394 datadir = @datadir@
395 datarootdir = @datarootdir@
396 docdir = @docdir@
397 dvidir = @dvidir@
398 exec_prefix = @exec_prefix@
399 host = @host@
400 host_alias = @host_alias@
401 host_cpu = @host_cpu@
402 host_os = @host_os@
403 host_vendor = @host_vendor@
404 htmldir = @htmldir@
405 includedir = @includedir@
406 infodir = @infodir@
407 install_sh = @install_sh@
408 libdir = @libdir@
409 libexecdir = @libexecdir@
410 localedir = @localedir@
411 localstatedir = @localstatedir@
412 mandir = @mandir@
413 mkdir_p = @mkdir_p@
414 oldincludedir = @oldincludedir@
415 pdfdir = @pdfdir@
416 prefix = @prefix@
417 program_transform_name = @program_transform_name@
418 psdir = @psdir@
419 sbindir = @sbindir@
420 sharedstatedir = @sharedstatedir@
421 srcdir = @srcdir@
422 sysconfdir = @sysconfdir@
423 target_alias = @target_alias@
424 top_build_prefix = @top_build_prefix@
425 top_builddir = @top_builddir@
426 top_srcdir = @top_srcdir@
427 GATEWAY_C_SOURCES = sci_gateway/c/gw_double.c
428 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/vecldiv.f \
429 sci_gateway/fortran/vecmul.f \
430 sci_gateway/fortran/matxpow.f \
431 sci_gateway/fortran/vecimpl.f \
432 sci_gateway/fortran/matldiv.f \
433 sci_gateway/fortran/matsubst.f \
434 sci_gateway/fortran/vecrdiv.f \
435 sci_gateway/fortran/matchsgn.f \
436 sci_gateway/fortran/matrdiv.f \
437 sci_gateway/fortran/matrc.f \
438 sci_gateway/fortran/matpow.f \
439 sci_gateway/fortran/matins1.f \
440 sci_gateway/fortran/matins2.f \
441 sci_gateway/fortran/matcmp.f \
442 sci_gateway/fortran/matmult.f \
443 sci_gateway/fortran/matext1.f \
444 sci_gateway/fortran/matext2.f \
445 sci_gateway/fortran/mattr.f \
446 sci_gateway/fortran/matcc.f \
447 sci_gateway/fortran/mattrc.f \
448 sci_gateway/fortran/matadd.f
449
450 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscidouble.la
451 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscidouble.la
452 libscidouble_la_CPPFLAGS = -I$(top_srcdir)/modules/api_scilab/includes/ \
453 -I$(top_srcdir)/modules/output_stream/includes/ \
454 $(AM_CPPFLAGS)
455
456 libscidouble_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
457
458 # For the code check (splint)
459 CHECK_SRC = $(GATEWAY_C_SOURCES)
460 INCLUDE_FLAGS = $(libscidouble_la_CPPFLAGS)
461
462 #### Target ######
463 modulename = double
464
465 #### double : Conf files ####
466 libscidouble_la_rootdir = $(mydatadir)
467 libscidouble_la_root_DATA = license.txt 
468
469 ####┬ádouble : init scripts ####
470 libscidouble_la_etcdir = $(mydatadir)/etc
471 libscidouble_la_etc_DATA = etc/double.quit etc/double.start
472
473 # Where all the Scilab stuff is installed (macros, help, ...)
474 mydatadir = $(pkgdatadir)/modules/$(modulename)
475
476 # Set AM_* SCI detected settings
477 AM_CPPFLAGS = $(SCI_CPPFLAGS)
478 AM_CFLAGS = $(SCI_CFLAGS)
479 AM_CXXFLAGS = $(SCI_CXXFLAGS)
480 # append includes to AM_FFLAGS to manage fortran includes
481 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
482
483 # Tag shared libraries with the Scilab version
484 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
485
486 # splint options
487 SPLINT_OPTIONS = -weak -booltype BOOL
488
489 ########################### JAVA ######################################
490 #### We are delegating java compilation to ant... Thanks to that
491 #### the procedure will be the same with Microsoft Windows (C)
492 #### and Linux/Unix
493 #######################################################################
494 TARGETS_ALL = $(am__append_1)
495
496 ################ MACROS ######################
497 # Rule to build a macro
498 # NOT USED  AT THE MOMENT
499 SUFFIXES = .sci 
500
501 ########### INSTALL DOCUMENTATION ###################
502
503 # Install documentation files into the right target
504 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
505 # automake needs the html files to be present which is not the case when
506 # we are building Scilab
507
508 # Where it should be installed
509 pkgdocdir = $(mydatadir)
510
511 # What is the mask of the help source
512 DOCMASKXML = *.xml
513
514 # What is the mask of the MathML sources
515 DOCMASKMML = *.mml
516
517 ########### INSTALL DATA ###################
518 # Install macros, help & demos
519 # Where it should be installed
520 pkgmacrosdir = $(mydatadir)
521 # Which directory we process
522 MACRODIRS = macros/
523 # Mask of the Scilab sources macros
524 MACROMASK = *.sci
525 # Mask of the Scilab executable sources macros
526 MACROBUILDMASK = *.sce
527 # Mask of the Scilab compiled macros
528 MACROBINMASK = *.bin
529 # List of the standard directory for tests
530 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
531 # Where the demos should be installed
532 pkgdemosdir = $(mydatadir)
533 # List of the standard directory for demos
534 DEMOS_DIR = demos
535 # List of the standard directory for examples
536 EXAMPLES_DIR = examples
537 # Where to export JAVA archives (.jar)
538 JARDIR = jar/
539 # JAR files mask
540 JARMASK = *.jar
541 # Chapter file 
542 HELP_CHAPTERDIR = help/
543 HELP_CHAPTERFILE = addchapter.sce
544 HELP_CHAPTERLANG = en_US fr_FR pt_BR
545 all: all-am
546
547 .SUFFIXES:
548 .SUFFIXES: .sci .bin .c .f .lo .o .obj
549 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
550         @for dep in $?; do \
551           case '$(am__configure_deps)' in \
552             *$$dep*) \
553               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
554                 && { if test -f $@; then exit 0; else break; fi; }; \
555               exit 1;; \
556           esac; \
557         done; \
558         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/double/Makefile'; \
559         $(am__cd) $(top_srcdir) && \
560           $(AUTOMAKE) --foreign modules/double/Makefile
561 .PRECIOUS: Makefile
562 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
563         @case '$?' in \
564           *config.status*) \
565             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
566           *) \
567             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
568             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
569         esac;
570 $(top_srcdir)/Makefile.incl.am:
571
572 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
573         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
574
575 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
576         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
577 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
578         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
579 $(am__aclocal_m4_deps):
580
581 clean-noinstLTLIBRARIES:
582         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
583         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
584           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
585           test "$$dir" != "$$p" || dir=.; \
586           echo "rm -f \"$${dir}/so_locations\""; \
587           rm -f "$${dir}/so_locations"; \
588         done
589 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
590         @$(NORMAL_INSTALL)
591         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
592         list2=; for p in $$list; do \
593           if test -f $$p; then \
594             list2="$$list2 $$p"; \
595           else :; fi; \
596         done; \
597         test -z "$$list2" || { \
598           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
599           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
600           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
601           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
602         }
603
604 uninstall-pkglibLTLIBRARIES:
605         @$(NORMAL_UNINSTALL)
606         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
607         for p in $$list; do \
608           $(am__strip_dir) \
609           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
610           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
611         done
612
613 clean-pkglibLTLIBRARIES:
614         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
615         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
616           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
617           test "$$dir" != "$$p" || dir=.; \
618           echo "rm -f \"$${dir}/so_locations\""; \
619           rm -f "$${dir}/so_locations"; \
620         done
621 libscidouble.la: $(libscidouble_la_OBJECTS) $(libscidouble_la_DEPENDENCIES) $(EXTRA_libscidouble_la_DEPENDENCIES) 
622         $(F77LINK) $(am_libscidouble_la_rpath) $(libscidouble_la_OBJECTS) $(libscidouble_la_LIBADD) $(LIBS)
623
624 mostlyclean-compile:
625         -rm -f *.$(OBJEXT)
626
627 distclean-compile:
628         -rm -f *.tab.c
629
630 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscidouble_la-gw_double.Plo@am__quote@
631
632 .c.o:
633 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
634 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
635 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
636 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
637 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
638
639 .c.obj:
640 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
641 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
642 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
643 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
644 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
645
646 .c.lo:
647 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
648 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
649 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
650 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
651 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
652
653 libscidouble_la-gw_double.lo: sci_gateway/c/gw_double.c
654 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidouble_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscidouble_la-gw_double.lo -MD -MP -MF $(DEPDIR)/libscidouble_la-gw_double.Tpo -c -o libscidouble_la-gw_double.lo `test -f 'sci_gateway/c/gw_double.c' || echo '$(srcdir)/'`sci_gateway/c/gw_double.c
655 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscidouble_la-gw_double.Tpo $(DEPDIR)/libscidouble_la-gw_double.Plo
656 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_double.c' object='libscidouble_la-gw_double.lo' libtool=yes @AMDEPBACKSLASH@
657 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
658 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscidouble_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscidouble_la-gw_double.lo `test -f 'sci_gateway/c/gw_double.c' || echo '$(srcdir)/'`sci_gateway/c/gw_double.c
659
660 .f.o:
661         $(F77COMPILE) -c -o $@ $<
662
663 .f.obj:
664         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
665
666 .f.lo:
667         $(LTF77COMPILE) -c -o $@ $<
668
669 vecldiv.lo: sci_gateway/fortran/vecldiv.f
670         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecldiv.lo `test -f 'sci_gateway/fortran/vecldiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecldiv.f
671
672 vecmul.lo: sci_gateway/fortran/vecmul.f
673         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecmul.lo `test -f 'sci_gateway/fortran/vecmul.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecmul.f
674
675 matxpow.lo: sci_gateway/fortran/matxpow.f
676         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matxpow.lo `test -f 'sci_gateway/fortran/matxpow.f' || echo '$(srcdir)/'`sci_gateway/fortran/matxpow.f
677
678 vecimpl.lo: sci_gateway/fortran/vecimpl.f
679         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecimpl.lo `test -f 'sci_gateway/fortran/vecimpl.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecimpl.f
680
681 matldiv.lo: sci_gateway/fortran/matldiv.f
682         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matldiv.lo `test -f 'sci_gateway/fortran/matldiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/matldiv.f
683
684 matsubst.lo: sci_gateway/fortran/matsubst.f
685         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matsubst.lo `test -f 'sci_gateway/fortran/matsubst.f' || echo '$(srcdir)/'`sci_gateway/fortran/matsubst.f
686
687 vecrdiv.lo: sci_gateway/fortran/vecrdiv.f
688         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o vecrdiv.lo `test -f 'sci_gateway/fortran/vecrdiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/vecrdiv.f
689
690 matchsgn.lo: sci_gateway/fortran/matchsgn.f
691         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matchsgn.lo `test -f 'sci_gateway/fortran/matchsgn.f' || echo '$(srcdir)/'`sci_gateway/fortran/matchsgn.f
692
693 matrdiv.lo: sci_gateway/fortran/matrdiv.f
694         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matrdiv.lo `test -f 'sci_gateway/fortran/matrdiv.f' || echo '$(srcdir)/'`sci_gateway/fortran/matrdiv.f
695
696 matrc.lo: sci_gateway/fortran/matrc.f
697         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matrc.lo `test -f 'sci_gateway/fortran/matrc.f' || echo '$(srcdir)/'`sci_gateway/fortran/matrc.f
698
699 matpow.lo: sci_gateway/fortran/matpow.f
700         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matpow.lo `test -f 'sci_gateway/fortran/matpow.f' || echo '$(srcdir)/'`sci_gateway/fortran/matpow.f
701
702 matins1.lo: sci_gateway/fortran/matins1.f
703         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matins1.lo `test -f 'sci_gateway/fortran/matins1.f' || echo '$(srcdir)/'`sci_gateway/fortran/matins1.f
704
705 matins2.lo: sci_gateway/fortran/matins2.f
706         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matins2.lo `test -f 'sci_gateway/fortran/matins2.f' || echo '$(srcdir)/'`sci_gateway/fortran/matins2.f
707
708 matcmp.lo: sci_gateway/fortran/matcmp.f
709         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matcmp.lo `test -f 'sci_gateway/fortran/matcmp.f' || echo '$(srcdir)/'`sci_gateway/fortran/matcmp.f
710
711 matmult.lo: sci_gateway/fortran/matmult.f
712         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matmult.lo `test -f 'sci_gateway/fortran/matmult.f' || echo '$(srcdir)/'`sci_gateway/fortran/matmult.f
713
714 matext1.lo: sci_gateway/fortran/matext1.f
715         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matext1.lo `test -f 'sci_gateway/fortran/matext1.f' || echo '$(srcdir)/'`sci_gateway/fortran/matext1.f
716
717 matext2.lo: sci_gateway/fortran/matext2.f
718         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matext2.lo `test -f 'sci_gateway/fortran/matext2.f' || echo '$(srcdir)/'`sci_gateway/fortran/matext2.f
719
720 mattr.lo: sci_gateway/fortran/mattr.f
721         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mattr.lo `test -f 'sci_gateway/fortran/mattr.f' || echo '$(srcdir)/'`sci_gateway/fortran/mattr.f
722
723 matcc.lo: sci_gateway/fortran/matcc.f
724         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matcc.lo `test -f 'sci_gateway/fortran/matcc.f' || echo '$(srcdir)/'`sci_gateway/fortran/matcc.f
725
726 mattrc.lo: sci_gateway/fortran/mattrc.f
727         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o mattrc.lo `test -f 'sci_gateway/fortran/mattrc.f' || echo '$(srcdir)/'`sci_gateway/fortran/mattrc.f
728
729 matadd.lo: sci_gateway/fortran/matadd.f
730         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o matadd.lo `test -f 'sci_gateway/fortran/matadd.f' || echo '$(srcdir)/'`sci_gateway/fortran/matadd.f
731
732 mostlyclean-libtool:
733         -rm -f *.lo
734
735 clean-libtool:
736         -rm -rf .libs _libs
737 install-libscidouble_la_etcDATA: $(libscidouble_la_etc_DATA)
738         @$(NORMAL_INSTALL)
739         @list='$(libscidouble_la_etc_DATA)'; test -n "$(libscidouble_la_etcdir)" || list=; \
740         if test -n "$$list"; then \
741           echo " $(MKDIR_P) '$(DESTDIR)$(libscidouble_la_etcdir)'"; \
742           $(MKDIR_P) "$(DESTDIR)$(libscidouble_la_etcdir)" || exit 1; \
743         fi; \
744         for p in $$list; do \
745           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
746           echo "$$d$$p"; \
747         done | $(am__base_list) | \
748         while read files; do \
749           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidouble_la_etcdir)'"; \
750           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidouble_la_etcdir)" || exit $$?; \
751         done
752
753 uninstall-libscidouble_la_etcDATA:
754         @$(NORMAL_UNINSTALL)
755         @list='$(libscidouble_la_etc_DATA)'; test -n "$(libscidouble_la_etcdir)" || list=; \
756         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
757         dir='$(DESTDIR)$(libscidouble_la_etcdir)'; $(am__uninstall_files_from_dir)
758 install-libscidouble_la_rootDATA: $(libscidouble_la_root_DATA)
759         @$(NORMAL_INSTALL)
760         @list='$(libscidouble_la_root_DATA)'; test -n "$(libscidouble_la_rootdir)" || list=; \
761         if test -n "$$list"; then \
762           echo " $(MKDIR_P) '$(DESTDIR)$(libscidouble_la_rootdir)'"; \
763           $(MKDIR_P) "$(DESTDIR)$(libscidouble_la_rootdir)" || exit 1; \
764         fi; \
765         for p in $$list; do \
766           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
767           echo "$$d$$p"; \
768         done | $(am__base_list) | \
769         while read files; do \
770           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscidouble_la_rootdir)'"; \
771           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscidouble_la_rootdir)" || exit $$?; \
772         done
773
774 uninstall-libscidouble_la_rootDATA:
775         @$(NORMAL_UNINSTALL)
776         @list='$(libscidouble_la_root_DATA)'; test -n "$(libscidouble_la_rootdir)" || list=; \
777         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
778         dir='$(DESTDIR)$(libscidouble_la_rootdir)'; $(am__uninstall_files_from_dir)
779
780 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
781         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
782         unique=`for i in $$list; do \
783             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
784           done | \
785           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
786               END { if (nonempty) { for (i in files) print i; }; }'`; \
787         mkid -fID $$unique
788 tags: TAGS
789
790 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
791                 $(TAGS_FILES) $(LISP)
792         set x; \
793         here=`pwd`; \
794         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
795         unique=`for i in $$list; do \
796             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
797           done | \
798           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
799               END { if (nonempty) { for (i in files) print i; }; }'`; \
800         shift; \
801         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
802           test -n "$$unique" || unique=$$empty_fix; \
803           if test $$# -gt 0; then \
804             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
805               "$$@" $$unique; \
806           else \
807             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
808               $$unique; \
809           fi; \
810         fi
811 ctags: CTAGS
812 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
813                 $(TAGS_FILES) $(LISP)
814         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
815         unique=`for i in $$list; do \
816             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
817           done | \
818           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
819               END { if (nonempty) { for (i in files) print i; }; }'`; \
820         test -z "$(CTAGS_ARGS)$$unique" \
821           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
822              $$unique
823
824 GTAGS:
825         here=`$(am__cd) $(top_builddir) && pwd` \
826           && $(am__cd) $(top_srcdir) \
827           && gtags -i $(GTAGS_ARGS) "$$here"
828
829 distclean-tags:
830         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
831
832 distdir: $(DISTFILES)
833         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
834         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
835         list='$(DISTFILES)'; \
836           dist_files=`for file in $$list; do echo $$file; done | \
837           sed -e "s|^$$srcdirstrip/||;t" \
838               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
839         case $$dist_files in \
840           */*) $(MKDIR_P) `echo "$$dist_files" | \
841                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
842                            sort -u` ;; \
843         esac; \
844         for file in $$dist_files; do \
845           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
846           if test -d $$d/$$file; then \
847             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
848             if test -d "$(distdir)/$$file"; then \
849               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
850             fi; \
851             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
852               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
853               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
854             fi; \
855             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
856           else \
857             test -f "$(distdir)/$$file" \
858             || cp -p $$d/$$file "$(distdir)/$$file" \
859             || exit 1; \
860           fi; \
861         done
862 check-am: all-am
863         $(MAKE) $(AM_MAKEFLAGS) check-local
864 check: check-am
865 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
866 installdirs:
867         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscidouble_la_etcdir)" "$(DESTDIR)$(libscidouble_la_rootdir)"; do \
868           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
869         done
870 install: install-am
871 install-exec: install-exec-am
872 install-data: install-data-am
873 uninstall: uninstall-am
874
875 install-am: all-am
876         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
877
878 installcheck: installcheck-am
879 install-strip:
880         if test -z '$(STRIP)'; then \
881           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
882             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
883               install; \
884         else \
885           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
886             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
887             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
888         fi
889 mostlyclean-generic:
890
891 clean-generic:
892
893 distclean-generic:
894         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
895         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
896
897 maintainer-clean-generic:
898         @echo "This command is intended for maintainers to use"
899         @echo "it deletes files that may require special tools to rebuild."
900 clean: clean-am
901
902 clean-am: clean-generic clean-libtool clean-local \
903         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
904
905 distclean: distclean-am
906         -rm -rf ./$(DEPDIR)
907         -rm -f Makefile
908 distclean-am: clean-am distclean-compile distclean-generic \
909         distclean-local distclean-tags
910
911 dvi: dvi-am
912
913 dvi-am:
914
915 html: html-am
916
917 html-am:
918
919 info: info-am
920
921 info-am:
922
923 install-data-am: install-data-local install-libscidouble_la_etcDATA \
924         install-libscidouble_la_rootDATA
925
926 install-dvi: install-dvi-am
927
928 install-dvi-am:
929
930 install-exec-am: install-pkglibLTLIBRARIES
931
932 install-html: install-html-am
933
934 install-html-am: install-html-local
935
936 install-info: install-info-am
937
938 install-info-am:
939
940 install-man:
941
942 install-pdf: install-pdf-am
943
944 install-pdf-am:
945
946 install-ps: install-ps-am
947
948 install-ps-am:
949
950 installcheck-am:
951
952 maintainer-clean: maintainer-clean-am
953         -rm -rf ./$(DEPDIR)
954         -rm -f Makefile
955 maintainer-clean-am: distclean-am maintainer-clean-generic
956
957 mostlyclean: mostlyclean-am
958
959 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
960         mostlyclean-libtool
961
962 pdf: pdf-am
963
964 pdf-am:
965
966 ps: ps-am
967
968 ps-am:
969
970 uninstall-am: uninstall-libscidouble_la_etcDATA \
971         uninstall-libscidouble_la_rootDATA uninstall-pkglibLTLIBRARIES
972
973 .MAKE: check-am install-am install-strip
974
975 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
976         clean clean-generic clean-libtool clean-local \
977         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
978         distclean distclean-compile distclean-generic \
979         distclean-libtool distclean-local distclean-tags distdir dvi \
980         dvi-am html html-am info info-am install install-am \
981         install-data install-data-am install-data-local install-dvi \
982         install-dvi-am install-exec install-exec-am install-html \
983         install-html-am install-html-local install-info \
984         install-info-am install-libscidouble_la_etcDATA \
985         install-libscidouble_la_rootDATA install-man install-pdf \
986         install-pdf-am install-pkglibLTLIBRARIES install-ps \
987         install-ps-am install-strip installcheck installcheck-am \
988         installdirs maintainer-clean maintainer-clean-generic \
989         mostlyclean mostlyclean-compile mostlyclean-generic \
990         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
991         uninstall-am uninstall-libscidouble_la_etcDATA \
992         uninstall-libscidouble_la_rootDATA uninstall-pkglibLTLIBRARIES
993
994
995 # This target enables tests for Scilab
996 check-local: $(top_builddir)/scilab-bin test
997         if test -d $(mydatadir)/tests; then \
998           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
999         fi
1000 check-code:
1001         if test -f build.xml; then \
1002                 $(ANT) checkstyle; \
1003         fi
1004         if test -x "$(SPLINT)"; then \
1005                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1006         fi
1007 @NEED_JAVA_TRUE@java:
1008 # Some configurations needs to export JAVA_HOME in the current env
1009 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1010 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1011 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1012 @NEED_JAVA_TRUE@                $(ANT); \
1013 @NEED_JAVA_TRUE@        fi
1014
1015 @NEED_JAVA_TRUE@clean-java:
1016 # Some configurations needs to export JAVA_HOME in the current env
1017 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1018 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1019 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1020 @NEED_JAVA_TRUE@                $(ANT) clean; \
1021 @NEED_JAVA_TRUE@        fi;
1022
1023 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1024 # We call the target swig-build on the variable SWIG_WRAPPERS
1025
1026 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1027 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1028 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1029 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1030 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1031 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1032 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1033 @SWIG_TRUE@             done; \
1034 @SWIG_TRUE@     fi
1035
1036 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1037 # We call the target swig-build on the variable SWIG_WRAPPERS
1038
1039 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1040 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1041 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1042 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1043 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1044 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1045 @GIWS_TRUE@             done; \
1046 @GIWS_TRUE@     fi
1047
1048 @GIWS_TRUE@giws-exception:
1049 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1050 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1051 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1052
1053 macros:
1054         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1055                 echo "Error : Cannot build $< : Scilab has not been built"; \
1056         else \
1057                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1058         fi)
1059
1060 # Removes the macros
1061 clean-macros:
1062 # Removes macros (*.bin generated from .sci)
1063         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1064                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1065                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1066         done
1067
1068 test:
1069 # More tests could be added here
1070         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1071         if test -f build.xml -a $$USEANT -eq 1; then \
1072                 $(ANT) test; \
1073         fi
1074
1075 all-local: $(TARGETS_ALL)
1076
1077 .sci.bin:
1078         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1079         echo "Error : Cannot build $< : Scilab has not been build"; \
1080         else \
1081         echo "Creating $@"; \
1082         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1083         fi )
1084
1085 install-html-local:
1086
1087 install-data-local-local:
1088 # Mainly for javasci
1089         @if test -d $(srcdir)/javadoc; then \
1090                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1091         fi
1092 # If the user wants the help sources to be installed
1093 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1094 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1095 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1096 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1097 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1098 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1099 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1100 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1101 @INSTALL_HELP_XML_TRUE@           done ; \
1102 @INSTALL_HELP_XML_TRUE@         fi; \
1103 @INSTALL_HELP_XML_TRUE@  fi; \
1104 @INSTALL_HELP_XML_TRUE@ done; \
1105 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1106 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1107 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1108 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1109 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1110 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1111 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1112 @INSTALL_HELP_XML_TRUE@           done ; \
1113 @INSTALL_HELP_XML_TRUE@         fi; \
1114 @INSTALL_HELP_XML_TRUE@ fi
1115 install-data-local:
1116 # Install the tests
1117         @echo "-------- Install tests (if any) --------"; \
1118         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1119           if test -d $(srcdir)/$$dir/; then \
1120             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1121                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1122                     if test -d "$(srcdir)/$$dir/$$file"; then \
1123                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1124                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1125                     else \
1126                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1127                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1128                     fi \
1129                   done; \
1130           fi; \
1131         done
1132 # Install the help chapter
1133         @echo "-------- Install the help chapter (if any) --------"; \
1134         for lang in $(HELP_CHAPTERLANG); do \
1135                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1136                 if test -f $$HELPFILE; then \
1137                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1138                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1139                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1140                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1141                 fi; \
1142         done
1143 # Install the demos & examples
1144         @echo "-------- Install demos & examples (if any) --------"; \
1145         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1146           if test -d $(srcdir)/$$dir/; then \
1147             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1148                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1149                     if test -d "$(srcdir)/$$dir/$$file"; then \
1150                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1151                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1152                     else \
1153                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1154                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1155                     fi \
1156                   done; \
1157           fi; \
1158         done
1159 # Install the macros
1160         @echo "-------- Install macros (if any) --------"; \
1161         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1162           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1163                 if test -d $(srcdir)/$$dir/; then \
1164                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1165                         if test -n "$(MACROSSPECIALEXT)"; then \
1166                                 specialExtDir=""; \
1167                                 for specialExt in $(MACROSSPECIALEXT); do \
1168                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1169                                 done; \
1170                                 FILELIST="$$FILELIST $$specialExtDir"; \
1171                         fi; \
1172                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1173                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1174                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1175                   done; \
1176                 fi; \
1177         done
1178 # Install java files (.jar)
1179         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1180         echo "-------- Install jar files --------"; \
1181     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1182           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1183                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1184                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1185           done ; \
1186         fi
1187
1188 ########### CLEAN ###################
1189 # Clean help (generated automatically by Scilab)
1190 # It used to clean the macro (clean-macros) but this was causing
1191 # make clean && make to fail Scilab startup
1192 @NEED_JAVA_TRUE@clean-local: clean-java
1193 @NEED_JAVA_FALSE@clean-local:
1194
1195 distclean-local:
1196         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1197
1198 .PHONY: macros java swig giws
1199
1200 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1201 # Otherwise a system limit (for SysV at least) may be exceeded.
1202 .NOEXPORT: